
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>静态路由与默认路由的原理、区别和实例 / iVAN</title>

    <meta name="description" content="静态路由与默认路由的原理、区别和实例 静态路由 静态路由的概念 (1) 最为原始的配置路由方式,纯手工,易管理,但是耗时,一般用于小型企业或者中等偏下型企业 (2)静态路由的缺点是不能动态反映网络拓扑,当网络拓扑发生变化时,管理员必须手工改变路由表: (3)静态路由不会占用路由器太多的CPU和RAM资源,也不占用线路的带宽.如果出于安全的考虑想隐藏网络的某些部分或者管理员想控制数据转发路径,也会使用静态路由. (4)在一个小而简单的网络中,也常常使用静态路由,因为配置静态路由会更为简洁. 静态路由的配置: ip router 目的网">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">静态路由与默认路由的原理、区别和实例</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>静态路由</p>
<p>静态路由的概念</p>
<p>（1） 最为原始的配置路由方式，纯手工，易管理，但是耗时，一般用于小型企业或者中等偏下型企业</p>
<p>（2）静态路由的缺点是不能动态反映网络拓扑，当网络拓扑发生变化时，管理员必须手工改变路由表；</p>
<p>（3）静态路由不会占用路由器太多的CPU和RAM资源，也不占用线路的带宽。如果出于安全的考虑想隐藏网络的某些部分或者管理员想控制数据转发路径，也会使用静态路由。</p>
<p>（4）在一个小而简单的网络中，也常常使用静态路由，因为配置静态路由会更为简洁。</p>
<p>静态路由的配置：</p>
<p>ip router 目的网络 掩码｛网关地址   接口｝</p>
<p>例子：</p>
<p>（1） ip router 192.168.1.0 255.255.255.0  s0/0</p>
<p>解析： 这句话的意思是，路由器见到了目的网段为192.168.1.0的网段，就将这个数据包从接口s0/0中发送出去。</p>
<p>（2）  ip router 192.168.1.0 255.255.255.0 192.168.2.0</p>
<p>解析：  这句话的意思是：在HOSTA上，路由器见到了目的网段为192.168.1.0的数据包，就将数据包发送到192.168.2.0网段上。也就是要想去往192.168.1.0，就要经过192.168.2.0</p>
<p>注意：</p>
<p>在写静态路由时，如果链路是点到点的链路（例如PPP封装的链路），采用网关地址和接口都是可以的（（1）和（2）都可以）。</p>
<p>但是如果链路是多路访问的链路（例如以太网），则只能采用网关地址（第（2）种）。</p>
<p>静态路由配置实验</p>
<p>静态路由的配置有两种方法：</p>
<p>（1）带下一跳路由器的静态路由；</p>
<p>（2）带送出接口的静态路由。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2g0Lm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vMUlLNjM0NTYtMC5wbmc=.jpg"></p>
<pre>
router(config)#hostname A （更改路由器主机名）
    A(config)#interface f0/0 （进入接口f0/0）
A(config-if)#ip address 192.168.1.1 255.255.255.0 （设置接口ip地址和子网掩码）
A(config-if)#no shutdown （启用接口）
A(config)#interface f0/1
A(config-if)#ip address 192.168.2.1 255.255.255.0
A(config-if)#no shutdown
×××以下二选一：
带接口的静态路由
A(config)#ip route 192.168.3.0 255.255.255.0 f0/1（目标网段ip地址 目标子网掩码送出接口（路由器A的f0/1））
或者
带下一跳路由的静态路由
A(config)#ip route 192.168.3.0 255.255.255.0 192.168.2.2 （目标网段ip地址 目标子网掩码下一路由器接口ip地址）
×××
router(config)#hostname B
B(config)#interface f0/0
B(config-if)#ip address 192.168.3.1 255.255.255.0
B(config-if)#no shutdown
B(config)#interface f0/1
B(config-if)#ip address 192.168.2.2 255.255.255.0
B(config-if)#no shutdown
×××以下二选一：
带下一跳路由的静态路由
B(config)#ip route 192.168.1.0 255.255.255.0 192.168.2.1
或者：
带接口的静态路由
B(config)#ip route 192.168.1.0 255.255.255.0 f0/1（目标网段ip地址 目标子网掩码送出接口（路由器B））
×××</pre>
<p>默认路由</p>
<p>更多精彩内容：http://www.bianceng.cnhttp://www.bianceng.cn/Network/lyjs/</p>
<p>提出：  路由得查看路由表而决定怎么转发数据包，用静态路由一个一个配置，繁琐容 易 错，但是如果路由器有个邻居知道怎么前往所有的目的地，可以把路由表匹配的任务交给它，省了很多事。</p>
<p>默认路由的概念</p>
<p>(1) 实际上默认路由是一种特殊的静态路由，指的是当 路由表中与包的目的地址之间没有匹配的表项时，路由器能够做出选择。如果没有默认路由，那么目的地址在路由表中没有匹配表项的包将被丢弃。</p>
<p>(2)默认路由（Default route），如果IP数据包中的目的地址找不到存在的其它路由时，路由器会默认的选择的路由。</p>
<p>默认路由为0.0.0.0</p>
<p>匹配IP地址时，0表示wildcard，任何值都是可以的，所有0.0.0.0.和任何目的地址匹配都会成功，造成默认路由要求的效果。就是说0可以匹配任何的IP地址。</p>
<p>以上是小编为您精心准备的的内容，在的博客、问答、公众号、人物、课程等栏目也有的相关内容，欢迎继续使用右上角搜索按钮进行搜索接口<br />
                    ，                路由器<br />
                    ，                静态<br />
                    ，                路由<br />
                    ，                地址<br />
                    ，                默认路由<br />
                    ，                静态ip<br />
                    ，                配置静态ip地址<br />
                    ，                IP静态<br />
                    ，                伪静态路由<br />
                                    网段<br />
                                    h3c静态路由配置实例、静态路由配置实例、华为静态路由配置实例、静态路由设置实例、静态路由表配置实例，以便于您获取更多的相关知识。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-06 02:43:35</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e5%9c%b0%e5%9d%80/" title="地址">地址</a>, <a href="https://www.iamivan.net/tag/%e8%b7%af%e7%94%b1%e5%99%a8/" title="路由器">路由器</a>, <a href="https://www.iamivan.net/tag/%e8%b7%af%e7%94%b1/" title="路由">路由</a>, <a href="https://www.iamivan.net/tag/%e6%8e%a5%e5%8f%a3/" title="接口">接口</a>, <a href="https://www.iamivan.net/tag/%e7%bd%91%e6%ae%b5/" title="网段">网段</a>, <a href="https://www.iamivan.net/tag/%e9%9d%99%e6%80%81/" title="静态">静态</a>, <a href="https://www.iamivan.net/tag/%e9%85%8d%e7%bd%ae%e9%9d%99%e6%80%81ip%e5%9c%b0%e5%9d%80/" title="配置静态ip地址">配置静态ip地址</a>, <a href="https://www.iamivan.net/tag/%e4%bc%aa%e9%9d%99%e6%80%81%e8%b7%af%e7%94%b1/" title="伪静态路由">伪静态路由</a>, <a href="https://www.iamivan.net/tag/%e9%bb%98%e8%ae%a4%e8%b7%af%e7%94%b1/" title="默认路由">默认路由</a>, <a href="https://www.iamivan.net/tag/%e9%9d%99%e6%80%81ip/" title="静态ip">静态ip</a>, <a href="https://www.iamivan.net/tag/ip%e9%9d%99%e6%80%81/" title="IP静态">IP静态</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>静态路由与默认路由的原理、区别和实例的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bK7QEWb.html" rel="bookmark">BGP默认路由和OSPF默认路由的区别</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				如果要让BGP通告默认路由,下面3个步骤是必不可少的: 1,创建静态默认路由 2,将静态默认路由重分发进bgp进程 3,设置BGP命令default-information originate 实验拓扑: R2配置: R3配置: 更多精彩内容:http://www.bianceng.cnhttp://www.bianceng.cn/Network/lyjs/			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b3N2Amz.html" rel="bookmark">默认路由下一跳是端口和对端IP地址与ARP代理分析</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				实验目的: 验证默认路由下一跳和对端IP的区别. 实验拓扑: 配置: R1: interface FastEthernet0/0 ip address 123.1.1.1 255.255.255.0 ! ip route 0.0.0.0 0.0.0.0 FastEthernet0/0 R2: interface FastEthernet0/0 ip address 123.1.1.2 255.255.255.0 ! interface FastEthernet0/1 ip address 24.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5ANrqp.html" rel="bookmark">EIGRP默认路由通告的三种方法以及汇总的实现</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.eigrp的默认路由 1.重分布静态路由 首先确保在R1上做一条静态默认路由,第二步将默认路由重分布到eigrp ip route 0.0.0.0 0.0.0.0 s0/1 redistribute static 重分布之前 Gateway of last resort is not set 35.0.0.0/24 is subnetted, 1 subnets C 35.1.1.0 is directly connected, Serial0/1 13.0.0.0/24 is subnet			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pmGWN5b.html" rel="bookmark">MVC默认路由实现分页（PagerExtend&period;dll下载）&lowbar;实用技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				这两天在群里有人咨询有没有现成的.net mvc分页方法,由此写了一个简单分页工具,这里简单分享下实现思路,代码,希望能对大家有些帮助,鼓励大家多造些轮子还是好的. A.效果(这里用了bootstrap的样式) B.分析,知识点 a.分页通常由一下几个属性组成(当前页,总条数,分页记录数,路由地址),由此四项基本就能实现分页了,在加上一个控制样式的参数 b.各种数字的验证,计算总页数(如果总条数和分页记录数不能整除,那么最后相除的结果再+1) c.下一页和上一下的按钮是零界点,需要判断是否是最后			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zOlq95b.html" rel="bookmark">教你配置一个默认路由</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Internet在物理上是由许多的网络段组成,这些网络之间通过路由器和网关相互连接.路由器和网关的作用是发送网络间的数据包.路由就是是选择数据包发送的路径的过程. 路由器就是实现这种选择功能的专用计算机.在一些文档中通常将路由器说成网关.路由器这个术语是从OSI的术语. 为了将路由的工作原理形象化,你可以想象一个大的网络中有很多的小网络,它们通过路由器相互互联,在两个远端各有一个主机.当一个主机想要发送一个数据包给另外一端的主机,它会将这个包发送到离它最近的一个路由器.当这个路由器接受到这个数据			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/aM6N7JM.html" rel="bookmark">is-is中通告默认路由</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一 手工通告 is-is无论有没有默认路由都会发送 拓扑: R1配置: 其他配参考相关文档 验证: 更多精彩内容:http://www.bianceng.cnhttp://www.bianceng.cn/Network/lyjs/ 二 末梢区域: R3配置: 其他配置参考相关文档 验证: 从上面可以看出路径开销是不同的 本文出自 &quot;网络工程师&quot; 博客,请务必保留此出处http://692344.blog.51cto.com/682344/1071866			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/vbQ7wZp.html" rel="bookmark">BGP路由汇总、协议默认路由以及关键问题验证</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一 关键问题表述 (一)ACL怎样匹配子网相同,掩码不同的路由条目?如何匹配掩码相同,子网不同的条目? (二)汇总路由为什么可能导致BGP邻居的翻滚? (三)使用attribite-map时,acl为什么无法匹配路由条目? (四)怎样使用advertise-map,suppress-map,unsuppress-map,attribute-map,以及route-map五中路由图?给出实例. (五)路由过滤的两种方案分别是? (六)BGP产生协议默认路由的两种方式. 问题一:使用&quot;标准ACL&q			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/5zOB99p.html" rel="bookmark">思科模拟器静态路由和动态路由配置</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				思科模拟器 静态路由,动态路由 RIP配置 动态路由协议 RIP 命令就两行比较简单 实验拓扑图如下: 更多精彩内容:http://www.bianceng.cnhttp://www.bianceng.cn/Network/lyjs/ 要想实现pc1 和pc2 通讯就要对R1 ,R2,R3 进行配置 1. 静态配置命令格式如下: 对于R1 Router&gt;en Router#conf Configuring from terminal, memory, or network [terminal]?			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5ANdDp.html" rel="bookmark">EIGRP实现内网访问外网的默认路由配置</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				R1和R2为公司内网,R3为外网,在R1和R2上配置EIGRP,在R2和R3上配置默认路由,实验目的是用四种方法实现R1和R2内网可以访问外网R3. 1.实验拓扑: 2. 配置各路由器相连接口IP地址 R1(config)#int s1/0 R1(config-if)#ip add R1(config-if)#ip address 10.1.1.1 255.255.252.0 R1(config-if)#no shut R1(config-if)#int lo1 R1(config-if)#ip			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9zeEO0z.html" rel="bookmark" class="title">利用C&num;进行AutoCAD的二次开发（二）</a>
					<div>
						大家好,今天我继续给各位介绍利用C#进行AutoCAD的二次开发.在这一讲中,主要介绍上一讲例子中存在的问题. 在上一次的例子中我是通过引用AutoCAD 2004 Type Library来进行C# ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3NJ43z.html" rel="bookmark" class="title">puppet的cron模块</a>
					<div>
						架构如下 ============================ manifests ============================ 1,at /etc/puppet/mainfests  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVndwKz.html" rel="bookmark" class="title">如何在在Windows 8中为Word 2013安装字体</a>
					<div>
						用户在完成Office2013的安装后,会默认安装多种西文和中文字体.如果用户需要使用更多字体,则可以根据需要安装第三方字体.下面以在Windows8系统中安装字体为例,操作步骤如下所述: 第1步,首 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8j1KPb.html" rel="bookmark" class="title">photoshop 拼接数码照片</a>
					<div>
						自定滤镜的原理和探讨 先看一下如下的几组效果 性急的人一定会说:什么呀,第一个不就是锐化吗?第二个就是....是锐化,没错,但不是锐化滤镜作出来的,而是&quot;自定&quot;滤镜,相信好多人都不 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmG6gjb.html" rel="bookmark" class="title">苹果Mac系统么安装Windows10？</a>
					<div>
						当前 Windows10 系统的预览版已经出来,对于新系统感兴趣的不只是使用 PC 电脑的用户,还有一些是当前正在使用 Mac 系统的用户.其实安装 Windows 10 与以前安装 Windows  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKkxnLb.html" rel="bookmark" class="title">win7电脑插入U盘就会崩溃死机怎么办？</a>
					<div>
						  虽说对于咱们的上班族来说,天天都有机会接触到U盘,但是对于U盘,咱们的了解够深刻吗?遇到一些关于U盘的故障,大家都可以解决吗?想必喜欢使用U盘的朋友都曾遇到过这样的问题吧,电脑本身好好的,但是一将 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvGj0Np.html" rel="bookmark" class="title">如何开通Google域名邮箱&quest;</a>
					<div>
						GOOLE推出了企业应用套件服务,功能十分强大,下面就给大家演示一下如何开通GOOGLE的企业应用套件服务 首先要进行注册,注册的页面: http://www.google.com/apps/intl ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlB7eRz.html" rel="bookmark" class="title">EDAS：快速搞定分布式应用</a>
					<div>
						本期分享嘉宾:滨雨 多年IT领域工作经验,先后在华为.阿里基础架构部担任软件工程师.项目经理.目前从事存储.cdn.视频.中间件等技术领域的支持,喜欢新技术,喜欢新挑战,喜欢钻研. 攻城狮:谁又动了我 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
									<a href="https://www.iamivan.net/a/M9EykgM.html" class="thumbnail">
				<img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvcmVhZC5odG1sNS5xcS5jb20vaW1hZ2U/c3JjPWZvcnVtJmFtcDtxPTUmYW1wO3I9MCZhbXA7aW1nZmxhZz03JmFtcDtpbWFnZVVybD1odHRwOi8vZXNzYXkuYjAudXBhaXl1bi5jb20vMTc0Ny8zNDYyODAvMC5qcGc=.jpg">
							</a>
							<div class="info"   >
					<a href="https://www.iamivan.net/a/M9EykgM.html" rel="bookmark" class="title">用户隐私早已沦陷</a>
					<div>
						   春节前,看到了有人用泄露的QQ群(好多年前的)做出的关系图谱而深感震惊,然后一种不安全感油然而生,然后想注销QQ服务.如果作者告诉你,几乎所有的互联网重要隐私都泄露了,会做何感想? 从CSDN明 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9YjPvM.html" rel="bookmark" class="title">SQL Server利用HashKey计算列解决宽字段查询的性能问题</a>
					<div>
						SQL Server利用HashKey计算列解决宽字段查询的性能问题 主人翁        本文主人翁:MSSQL菜鸟和MSSQL老鸟. 问题提出        某年某月某日,某MSSQL菜鸟满脸愁容 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdEXLXz.html" rel="bookmark" class="title">Java并发编程之this逃逸问题</a>
					<div>
						简介 this逃逸是指在构造函数返回之前其他线程就持有该对象的引用. 调用尚未构造完全的对象的方法可能引发令人疑惑的错误. 因此应该避免this逃逸的发生. this逃逸经常发生在构造函数中启动线程或 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze6YG0b.html" rel="bookmark" class="title">DockOne微信分享（八十四）：Docker在B站的实施之路</a>
					<div>
						本文讲的是DockOne微信分享(八十四):Docker在B站的实施之路[编者的话]B站一直在关注Docker的发展,去年成功在核心SLB(Tengine)集群上实施了Docker.今年我们对比了各种 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqAxxaM.html" rel="bookmark" class="title">MySQL各种日期类型与整型（转）</a>
					<div>
						日期类型 存储空间 日期格式 日期范围 datetime 8 bytes YYYY-MM-DD HH:MM:SS 1000-01-01 00:00:00 ~ 9999-12-31 23:59:59 t ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z40yZrz.html" rel="bookmark" class="title">武汉安卓培训机构哪家比较好的</a>
					<div>
						问题描述 最近想在武汉学安卓软件开发,,,培训机构特别多,信息也也挺杂的,不知道各位有没有对武汉方面比较了解的,能不能给下意见!!!! 解决方案 解决方案二:学习安卓哪家强?自学吧网上资源很多					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxYWrRp.html" rel="bookmark" class="title">Linux内核中常见内存分配函数（二）</a>
					<div>
						常用内存分配函数 __get_free_pages unsigned long __get_free_pages(gfp_t gfp_mask, unsigned int order) __get_f ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdRBa3b.html" rel="bookmark" class="title">linux下安装配置svn独立服务器</a>
					<div>
						subversion(以下简称svn)是近年来崛起的版本管理工具,是cvs的接班人. svn服务器有2种运行方式:独立服务器和借助apache.2种方式各有利弊. file:/// 直接版本库访问(本 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MY50aVM.html" rel="bookmark" class="title">大数据要经得起三问：从哪来怎么用谁买单</a>
					<div>
						资料图片 当我们面对一项大数据应用时,只要简单问一问3个问题--数据哪里来.数据怎么用.成果谁买单--就能揭开许多&quot;伪装&quot;.日前由中国管理科学学会大数据管理专委会.国务院发展研究中 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJAGJwp.html" rel="bookmark" class="title">VMware向云计算软件公司Puppet Labs投资3000万</a>
					<div>
						数据中心自动化公司Puppet Labs近日宣布,VMware已经向该公司投资3000万美元,这使得Puppet Labs的融资总额达到4600万美元. Puppet Labs的其他投资方包括True ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL7RrvM.html" rel="bookmark" class="title">天润融通呼叫中心破教育机构分布式难题</a>
					<div>
						本文讲的是天润融通呼叫中心破教育机构分布式难题,近年来,随着城市生活和工作压力的与日俱增,许多面临学业竞争与职业挑战的人纷纷通过参加各种课外辅导.教育培训来提升自己,中国教育培训市场也由此呈现出前所未 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2RaOZb.html" rel="bookmark" class="title">tinyxml xml-tinyXML的读写问题，恳求大家帮帮忙</a>
					<div>
						问题描述 tinyXML的读写问题,恳求大家帮帮忙 &lt;Model Information&gt; &lt;ModelName Model Name=&quot;3&quot;&gt; &lt;P ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5RN6Az.html" rel="bookmark" class="title">c&num; base问题</a>
					<div>
						问题描述 //publicclassTest:Base{protectedoverridevoidDoCommand(){//......base.DoCommand();}} 以上不太理解base的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWWwJqM.html" rel="bookmark" class="title">交互式QGraphicsView（平移&sol;缩放&sol;旋转）</a>
					<div>
						简述 Graphics View提供了一个平台用于大量自定义 2D 图元的管理与交互框架包括一个事件传播架构支持场景 Scene 中的图元 Item 进行精确的双精度交互功能.Item 可以处理键盘事 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bodyjVM.html" rel="bookmark" class="title">Java语言基础细节归纳</a>
					<div>
						俗话说的好,&quot;万丈高楼平地起&quot;.由此观之,只有打好扎实地根基,才能筑造出稳健地高楼.对于我们学习和实践技术,也是同一个理. 本文有序地归纳了java语言基础细节,一是作为学习上的总 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Rx5Az.html" rel="bookmark" class="title">超简单问题，小妹没分，先谢过了</a>
					<div>
						问题描述 N多计算机精品免费视频下载,不要别后悔啊&lt;VC知识库5周年精华珍藏版&gt;http://www.ibeifeng.com/read.php?tid=592&amp;u=83C语言经典 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bod5kvM.html" rel="bookmark" class="title">Java 小數0&period;0003 出不到&period;&period;</a>
					<div>
						问题描述 classa{privatedoubleex;publica(doublei){this.setEx(i);}publicvoidsetEx(doubleex){this.ex=ex;}pu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk047jz.html" rel="bookmark" class="title">微软29日正式推出全新中文搜索品牌&OpenCurlyDoubleQuote;必应&rdquo;</a>
					<div>
						[新华社北京5月29日电](记者 周文林) 微软公司29日正式宣布推出全新中文搜索品牌&quot;必应&quot;. 据悉,此次&quot;必应&quot;中文搜索品牌的发布,与微软全球搜索品牌Bin ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEYWBAb.html" rel="bookmark" class="title">谷歌宣布正在研发新型移动支付框架</a>
					<div>
						3月3日消息 据国外媒体报道,谷歌宣布公司正在研发一个名为安卓支付(Android Pay)的新型移动支付框架.负责Android.Chrome和谷歌应用程序的谷歌业务副总裁桑达尔·皮采(Sundar ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKq5Jap.html" rel="bookmark" class="title">Bootstrap&plus;jfinal实现省市级联下拉菜单&lowbar;javascript技巧</a>
					<div>
						小小一个省市级关联菜单,却耗费了一个很多时间来摸索,原因在于对jquery不熟练,既然这么辛苦完成了一个组件,自然想要共享出来,让需要的人使用. 这只是一个基础版,后续还要再进行优化. 代码:省市级关 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
									<a href="https://www.iamivan.net/a/MR1kl8b.html" class="thumbnail">
				<img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNDAyMTQxNTQyNTM2MDk/d2F0ZXJtYXJrLzIvdGV4dC9hSFIwY0RvdkwySnNiMmN1WTNOa2JpNXVaWFF2WTJOdmNtYz0vZm9udC81YTZMNUwyVC9mb250c2l6ZS80MDAvZmlsbC9JMEpCUWtGQ01BPT0vZGlzc29sdmUvNzAvZ3Jhdml0eS9Tb3V0aEVhc3Q=.jpg">
							</a>
							<div class="info"   >
					<a href="https://www.iamivan.net/a/MR1kl8b.html" rel="bookmark" class="title">Android应用中对于微信分享的实例及问题</a>
					<div>
						源码地址 如何分享 分享无相应 分享结果如何接收响应 微信 分享回调 (提示几点关键问题:   debug_key 一定要获得对应的签名码 然后和weixin官网的appid对应     ) 几点注意 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9NLJop.html" rel="bookmark" class="title">tomcat下访问页面提示flash没有加载影片</a>
					<div>
						问题描述 有一个文件夹,里面有一个index.html页面,和一堆swf文件及其它文件.我把这个文件夹放到了一个叫做oadinfo的文件夹下,oainfo并不是tomcat的目录,但是配置了这个路径& ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
